package cn.ysk.cashier.dto.product;

import cn.ysk.cashier.dto.BaseQueryDto;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

@Data
public class TbProductStockCountQueryCriteria extends BaseQueryDto {

    private String productId;

    private String productName;

    private String categoryId;

    private String type;

    private Integer page = 0;

    private Integer size = 10;

    public void setProductId(String productId) {
        if (StringUtils.isNotBlank(productId)) {
            this.productId = productId;
        }
    }

    public void setProductName(String productName) {
        if (StringUtils.isNotBlank(productName)) {
            this.productName = productName;
        }
    }

    public void setCategoryId(String categoryId) {
        if (StringUtils.isNotBlank(categoryId)) {
            this.categoryId = categoryId;
        }
    }

    public void setType(String type) {
        if (StringUtils.isNotBlank(type)) {
            this.type = type;
        }
    }
}